button = {}

function button.spawn(x,y,text,id)
	table.insert(button, {x = x, y = y, text = text, id = id})
end
--
function button.draw()
	for i,v in ipairs(button) do
		if v.mouseOver == false then
			love.graphics.setColor(255,255,255)
		end
		if v.mouseOver == true then
			love.graphics.setColor(255,0,0)
		end
		love.graphics.setFont(button_font)
		love.graphics.print(v.text,v.x,v.y)
    end
end
--
function button.click(x,y)
	for i,v in ipairs(button) do
		if x > v.x and
		x < v.x + button_font:getWidth(v.text) and
		y > v.y and
		y < v.y + button_font:getHeight() then
			if v.id == "play" then
				gamestate = "playing"
			end
			if v.id == "quit" then
				love.quit()
			end
			if v.id == "restart" then
				love.restart()
				gamestate = "playing"
			end
		end
	end
end
--
function button.check()
	for i,v in ipairs(button) do
		if mouseX > v.x and
		mouseX < v.x + button_font:getWidth(v.text) and
		mouseY > v.y and
		mouseY < v.y + button_font:getHeight() then
			v.mouseOver = true
		else
			v.mouseOver = false
		end
	end
end